# Add security baseline whitelist - AddUHostSecBaseCheckWhiteRule

## Overview

Add security baseline whitelist






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `AddUHostSecBaseCheckWhiteRule`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.zosoc.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, and the sub-account must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |**Yes**|
| **Data** | string | Baseline whitelist rule information (value is a base64 encoded string of the following json fields, json format: {"Data":[{"IP":{"Type":"ip","IPs":["192.168.3.4","192.168.3.4"]},"RuleID":"B0101001V01","AppName":"Linux","Description":"Weak password user exists [testUser]","RiskType":"Configuration Defect","RiskLevel":"High Risk","User":"testUser"},{"IP":{"Type":"all","IPs":[]},"RuleID":"B0101001V01","AppName":"Linux","Description":"Weak password user exists [testUser]","RiskType":"Configuration Defect","RiskLevel":"High Risk","User":"testUser"}]}) |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **Success** | int | Success Count |No|
| **Fail** | int | Number of Failures |No|




## Example

### Request Example
    
```
https://api.zosoc.com/?Action=AddUHostSecBaseCheckWhiteRule
&ProjectId=hiNtPTZZ
&Data=fStRIBrd
```

### Response Example
    
```json
{
  "Action": "AddUHostSecBaseCheckWhiteRuleResponse",
  "Fail": 1,
  "RetCode": 0,
  "Success": 3
}
```





